net.sf.okapi.common.resource.simplifier

## Class ResourceSimplifier

- java.lang.Object
- - net.sf.okapi.common.resource.simplifier.AbstractResourceSimplifier
  - - net.sf.okapi.common.resource.simplifier.ResourceSimplifier

- All Implemented Interfaces:
    IEventConverter, IResourceSimplifier

      public class ResourceSimplifier
      extends AbstractResourceSimplifier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceSimplifier(LocaleId trgLoc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event` | `convert(Event event)` Converts a given event into a different event, modifying either its type or attached resource.
    `protected Event` | `convertEvent(Event event)`
    `MultiEvent` | `getGroup(java.lang.String groupId)`
    `void` | `initialize()`
    `void` | `mapFilterWriter(java.lang.Class<? extends IFilterWriter> filterWriter, java.lang.Class<? extends IResourceSimplifier> simplifier)`
    `void` | `mapSkeletonWriter(java.lang.Class<? extends ISkeletonWriter> skeletonWriter, java.lang.Class<? extends IResourceSimplifier> simplifier)`
    `void` | `setGroup(java.lang.String groupId, MultiEvent group)`

    - ### Methods inherited from class net.sf.okapi.common.resource.simplifier.AbstractResourceSimplifier

      `convertToList, getFilterWriter, getOutputEncoding, getParent, getSkeletonWriter, getTargetLocale, isMultilingual, setFilterWriter, setMultilingual, setOutputEncoding, setParent, setSkeletonWriter, setTargetLocale`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceSimplifier

          public ResourceSimplifier(LocaleId trgLoc)

  - ### Method Detail

    - #### initialize

          public void initialize()

    - #### convert

          public Event convert(Event event)

      Description copied from interface: `IEventConverter`
      Converts a given event into a different event, modifying either its type or attached resource.
      Specified by:
        `convert` in interface `IEventConverter`
      Overrides:
        `convert` in class `AbstractResourceSimplifier`
      Parameters:
        `event` - the given event.
      Returns:
        a modified event. Can be MULTI_EVENT containing a list of events.

    - #### mapFilterWriter

          public void mapFilterWriter(java.lang.Class<? extends IFilterWriter> filterWriter,
                                      java.lang.Class<? extends IResourceSimplifier> simplifier)

    - #### mapSkeletonWriter

          public void mapSkeletonWriter(java.lang.Class<? extends ISkeletonWriter> skeletonWriter,
                                        java.lang.Class<? extends IResourceSimplifier> simplifier)

    - #### convertEvent

          protected Event convertEvent(Event event)

      Specified by:
        `convertEvent` in class `AbstractResourceSimplifier`

    - #### getGroup

          public MultiEvent getGroup(java.lang.String groupId)

      Specified by:
        `getGroup` in interface `IResourceSimplifier`
      Overrides:
        `getGroup` in class `AbstractResourceSimplifier`

    - #### setGroup

          public void setGroup(java.lang.String groupId,
                               MultiEvent group)

      Specified by:
        `setGroup` in interface `IResourceSimplifier`
      Overrides:
        `setGroup` in class `AbstractResourceSimplifier`